
/* take out the margin to have the full size pic effect */
html,body {
    margin: 0;
    padding: 0;
}

body{
    font-family: "Lato", sans-serif;
    font-weight: 400;
    width: 100%;
    height: 100%;


    /* image full size cover as a background for the hero*/
    
    /*added a gradient too although it was not in the picture sent but so links images and text are more visible like this*/
    background-image: linear-gradient(to top, rgba(0, 0, 0, 0.78), rgba(158, 152, 152, 0.348),rgba(0, 0, 0, 0.872)), url('../images/bakery-1.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

/* added flex to menu and hero text so it will be responsive */
.menu{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
}

/* another way to target tags */
.links ul {
    display: flex;
    padding: 0 1rem;
    list-style: none;
}

.logo-croissant {
    display: flex;
    width: 70px;
    padding: 1.5rem 2rem;
    display: flex;
    flex-wrap: 1;
}

.links ul li {
    display: flex;
    width: 70px;
    padding: 1.5rem 2rem;
}


.hero-text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    align-items: center;
    color: white;
}

.hero-text h1 {
    margin-top: 10rem;
    font-size: 4em;
    font-weight: 700;
}

.hero-text h2 {
    margin-top: 3rem;
    font-size: 2em;
}

.hero-text h3 {
    margin-top: 2rem;
}


/* responsieness */
@media only screen and (max-width: 768px){
  
    .body{
        margin: 0;
        padding: 0;
    }
    
    .hero-text h1 {
        margin-top: 1rem;
    }

    .hero-text h2 {
        margin-top: 1rem;
    }

    .hero-text h2 {
        margin-top: 1rem;
    }
  
    .menu{
      flex-direction: column;
      justify-content: center;
      align-items: center;
        padding: 0;
        width: 100%;
    }

    .links ul li {
        flex-wrap: wrap;
        flex-direction: column;
        min-width: 75px;
        padding: 0;
    }
  
    .menu #logo{ 
      width: 100%;
      padding: 0;
    }
  
  }